Summary:        MRG management system agent
Name:           sesame
Version:        0.4.3030
Release:        2%{?dist}
License:        GPL
Group:          System Environment/Libraries
URL:            http://redhat.com/mrg
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qmf-devel
BuildRequires:  db4-devel
BuildRequires:  libtool

Requires:       qmf
Requires:       /usr/bin/uuidgen

%description
Sesame is the MRG management system agent.

%prep
%setup -q

%build
export CXXFLAGS="%{optflags} -DNDEBUG -O3"

%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p -m0755 %{buildroot}
make install DESTDIR=%{buildroot}

install -d %{buildroot}%{_sysconfdir}/rc.d/init.d
install -m 0755 etc/sysvinit-sesame %{buildroot}%{_sysconfdir}/rc.d/init.d/sesame
install -d %{buildroot}%{_localstatedir}/log/sesame
install -d %{buildroot}%{_localstatedir}/lib/sesame

%pre
getent group sesame > /dev/null || groupadd -r sesame
getent passwd sesame > /dev/null || useradd -r \
       -g sesame -d %{_localstatedir}/lib/sesame -s /sbin/nologin \
       -c "Owner of the sesame daemon" sesame
exit 0

%post
uuidgen > %{_localstatedir}/lib/sesame/uuid
chown sesame:sesame %{_localstatedir}/lib/sesame/uuid

%clean
rm -rf %{buildroot}

%files
%defattr(-,sesame,sesame,-)
%doc README COPYING
%{_bindir}/sesame
%config %{_sysconfdir}/sesame/sesame.conf
%{_localstatedir}/log/sesame
%{_localstatedir}/lib/sesame
%defattr(-,root,root,-)
%{_sysconfdir}/rc.d/init.d/sesame

%changelog
* Thu Jan  8 2009 Ted Ross <tross@redhat.com> - 0.4.3030-2
- Update to release 2
* Fri Dec 19 2008 Ted Ross <tross@redhat.com> - 0.4.3030-1
- Update to revision 3030
* Thu Dec 11 2008 Ted Ross <tross@redhat.com> - 0.1.2968-1
- Update to revision 2968
* Wed Dec 10 2008 Ted Ross <tross@redhat.com> - 0.1.2964-1
- Update to revision 2964
* Fri Dec  5 2008 Ted Ross <tross@redhat.com> - 0.1.2935-1
- Update to revision 2935
* Mon Dec  1 2008 Justin Ross <jross@redhat.com> - 0.1.2899-1
- Update to revision 2899
* Mon Dec  1 2008 Justin Ross <jross@redhat.com> - 0.1.2897-1
- Initial build
